Change log

API Change
Auth API Max length limits added to /register
  • firstName, surname : max length 96
  • password : min length = 6, max length = 500
  • countryCode : max length 2
  • mobile : max length 20
  • houseNumber, address1, address2, town, county, country and postCode : max length set for each
Resource API Added to /map, /locations and /chargers GET method
  • address
  • postCode
  • country
  • imageUrl
Resource API Added to /sockets GET method
  • name
  • address
  • postCode
  • imageUrl: Name changed from photoUrl to imageUrl
Resource API Max length limits added to /vehicles
  • vrm : max length 20
  • description : max length 40
  • registrationCountry : max length 2
  • make, model and colour : max length 30
Resource API nationalId removed from GET /user method
Resource API Methods added
  • DELETE /user
  • DELETE /vehicles/{vrm}
  • DELETE /paymentCards/{reference}
App should delete the local data associated with the deleted entity
Resource API 'reference' returned by GET /paymentCards method renamed to 'cardReference' for consistency
as /paymentCards/complete and /paymentCards/verify return 'cardReference' when the payment card is added